package cn.iocoder.yudao.module.order.convert.orderSplit;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderSplit.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderSplit.OrderSplitDO;

/**
 * 订单拆单 Convert
 * @author yanghao
 */
@Mapper
public interface OrderSplitConvert {
    /*****转换MapStruct*****/
    OrderSplitConvert INSTANCE = Mappers.getMapper(OrderSplitConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderSplitDO convert(OrderSplitCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderSplitDO convert(OrderSplitUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderSplitBackVO convert(OrderSplitDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderSplitBackVO> convertList(List<OrderSplitDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderSplitBackVO> convertPage(PageResult<OrderSplitDO> page);
}
